package com.example.calendaryapp;

import android.app.Application;

import androidx.annotation.NonNull;
import androidx.lifecycle.AndroidViewModel;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "note_tableMar")
public class NoteMartes {
    @PrimaryKey(autoGenerate = true)
    private int id;
    private String title;
    private String description;
    private int priority;

    public NoteMartes(String title, String description, int priority) {
        this.title = title;
        this.description = description;
        this.priority = priority;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public String getDescription() {
        return description;
    }

    public int getPriority() {
        return priority;
    }

    public static class NoteViewModel extends AndroidViewModel {
        public NoteViewModel(@NonNull Application application) {
            super(application);
        }
    }
}
